Is Net Nanny for Mac compatible with Leopard (Mac OS X 10.5), Snow Leopard (Mac OS X 10.6) and Lion (Mac OS X 10.7)?

Net Nanny 2 for Mac • 20 July 2011

This article refers to an older version of this product.

Yes, Net Nanny for Mac is compatible with Leopard, Snow Leopard and Lion.